Skip to main content
POST
/
policies
/
{policyId}
/
manual-quote
Manual quote policy
curl --request POST \
  --url https://api.example.com/policies/{policyId}/manual-quote \
  --header 'Content-Type: application/json' \
  --data '
{
  "components": [
    {
      "id": "<string>",
      "type": "PREMIUM",
      "chargeType": "ONE_TIME",
      "premium": {
        "amountPreFeesAndTaxes": 123,
        "totalFees": 123,
        "totalTaxes": 123
      },
      "calculatePremiumBrokerFees": true
    }
  ],
  "percentages": [
    {
      "id": "<string>",
      "type": "PREMIUM",
      "chargeType": "ONE_TIME",
      "componentIds": [
        "<string>"
      ],
      "amountPropertiesFrom": [
        "amountPreFeesAndTaxes"
      ],
      "percentage": 50
    }
  ]
}
'
{}

Path Parameters

policyId
string
required

the policy id

Query Parameters

whenAt
string

Optional: the whenAt datetime

branchId
string
required

the branchId

Body

application/json
components
object[]
required
percentages
object[]
required

Response

The response is of type object.